summaryrefslogtreecommitdiffstats
path: root/source/a/xz
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-03-30 18:08:12 +0000
committer Eric Hameleers <alien@slackware.com>2024-03-30 19:28:56 +0100
commit730cbea73016aa93a7291927d237c371d9b196cd (patch)
treeed04d78d1ae1bd92b09f4d2d3bdac4d5baa01460 /source/a/xz
parent44183f6ba3935ea6dd56a2fad0394bc736e7461d (diff)
downloadcurrent-730cbea73016aa93a7291927d237c371d9b196cd.tar.gz
current-730cbea73016aa93a7291927d237c371d9b196cd.tar.xz
Sat Mar 30 18:08:12 UTC 202420240330180812
a/xz-5.6.1-x86_64-3.txz: Rebuilt. [PATCH] CMake: Fix sabotaged Landlock sandbox check. We don't build with CMake (yet), but it doesn't hurt to apply this. d/mercurial-6.7.2-x86_64-1.txz: Upgraded. l/boost-1.84.0-x86_64-3.txz: Rebuilt. Recompiled against python-3.11.8. Thanks to rinza. l/python-pycparser-2.22-x86_64-1.txz: Upgraded. l/python-pytz-2024.1-x86_64-2.txz: Removed. No longer needed with python-3.11. Thanks to audriusk. l/python-tomli-2.0.1-x86_64-2.txz: Removed. No longer needed with python-3.11. Thanks to TommyC7 and audriusk. n/c-ares-1.28.0-x86_64-1.txz: Upgraded. xap/xsnow-3.7.9-x86_64-1.txz: Upgraded. extra/brltty/brltty-6.6-x86_64-4.txz: Rebuilt. Don't install anything under /usr/local. Thanks to reddog83.
Diffstat (limited to 'source/a/xz')
-rw-r--r--source/a/xz/f9cf4c05edd14dedfe63833f8ccbe41b55823b00.patch25
-rwxr-xr-xsource/a/xz/xz.SlackBuild5
2 files changed, 29 insertions, 1 deletions
diff --git a/source/a/xz/f9cf4c05edd14dedfe63833f8ccbe41b55823b00.patch b/source/a/xz/f9cf4c05edd14dedfe63833f8ccbe41b55823b00.patch
new file mode 100644
index 000000000..12ce12c41
--- /dev/null
+++ b/source/a/xz/f9cf4c05edd14dedfe63833f8ccbe41b55823b00.patch
@@ -0,0 +1,25 @@
+From f9cf4c05edd14dedfe63833f8ccbe41b55823b00 Mon Sep 17 00:00:00 2001
+From: Lasse Collin <lasse.collin@tukaani.org>
+Date: Sat, 30 Mar 2024 14:36:28 +0200
+Subject: [PATCH] CMake: Fix sabotaged Landlock sandbox check.
+
+It never enabled it.
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 1f019167..0e4d464f 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1001,7 +1001,7 @@ if(NOT SANDBOX_FOUND AND ENABLE_SANDBOX MATCHES "^ON$|^landlock$")
+ #include <linux/landlock.h>
+ #include <sys/syscall.h>
+ #include <sys/prctl.h>
+-.
++
+ void my_sandbox(void)
+ {
+ (void)prctl(PR_SET_NO_NEW_PRIVS, 1, 0, 0, 0);
+--
+2.20.1
diff --git a/source/a/xz/xz.SlackBuild b/source/a/xz/xz.SlackBuild
index 61c93ddcd..f1b732bbc 100755
--- a/source/a/xz/xz.SlackBuild
+++ b/source/a/xz/xz.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xz
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -94,6 +94,9 @@ find . \
# memory use (these aren't indicating any sort of failure, so...)
zcat $CWD/xz.default.verbosity.V_ERROR.diff.gz | patch -p1 --verbose || exit 1
+# More fallout from the incident:
+cat $CWD/f9cf4c05edd14dedfe63833f8ccbe41b55823b00.patch | patch -p1 --verbose || exit 1
+
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then
NOCONFIGURE=1 ./autogen.sh